View Issue Details

IDProjectCategoryView StatusLast Update
0021010LazarusIDEpublic2014-09-29 15:55
ReporterPéter GáborAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.30.2Product Build 
Target VersionFixed in Version 
Summary0021010: Object Inspector's Tree View updated badly
DescriptionObject Inspector's Tree View seems to be badly updated when I navigate to Form1.SynEdit1.Gutter.MouseActions and click the [...] button then select Popup Menu in the appearing list. The tree view shows only TSynGutter class (not a variable or property name) and there's no parents.
There's no way to Navigate back to the main form.
After closing and reopening Object Inspector the content of Tree View intact.
To get back the whole object tree a click in the form designer required.
Tested on Linux/XFCE and Windows XP
Steps To Reproduce- create a TSynEdit on the main TForm
- in the Object Inspector navigate to Form1.SynEdit1.Gutter.MouseActions and click the [...] button
- in the appearing dialog's list click on an item (eg. Popup Menu)
- Object Inspector Tree View updates and shows the name of TSynGutter class without parents
TagsNo tags attached.
Fixed in Revisionr39098
LazTarget1.2
Widgetset
Attached Files

Relationships

related to 0023181 resolvedJuha Manninen OI: make "show all owned objects in properties" optional 

Activities

2012-01-02 21:35

 

gutter-bug-2.jpg (25,505 bytes)
gutter-bug-2.jpg (25,505 bytes)

2012-01-02 21:38

 

Bart Broersma

2012-01-02 22:50

developer   ~0055438

I have the same with Lazarus 0.9.31 r34508 FPC 2.6.0 i386-win32-win32/win64 on Win7

Juha Manninen

2012-10-15 18:29

developer   ~0063179

The fundamental problem is that Gutter is not visible in the OI treeview.
If I find a way to make it visible then this issue is solved.

Juha Manninen

2012-10-27 10:57

developer   ~0063495

My first diagnosis was wrong.
The OI treeview parent drawing issue was fixed by Martin by implementing GetOwner for the Gutter.

Issue History

Date Modified Username Field Change
2012-01-02 21:35 Péter Gábor New Issue
2012-01-02 21:35 Péter Gábor File Added: gutter-bug-2.jpg
2012-01-02 21:38 Péter Gábor File Added: gutter-bug-1-navigate-to.jpg
2012-01-02 22:50 Bart Broersma LazTarget => -
2012-01-02 22:50 Bart Broersma Note Added: 0055438
2012-01-02 22:50 Bart Broersma Status new => confirmed
2012-02-04 11:26 Zeljan Rikalo LazTarget - => 1.2
2012-02-04 11:26 Zeljan Rikalo Assigned To => Juha Manninen
2012-10-15 18:29 Juha Manninen Note Added: 0063179
2012-10-21 14:40 Juha Manninen Relationship added related to 0023181
2012-10-27 10:57 Juha Manninen Fixed in Revision => r39098
2012-10-27 10:57 Juha Manninen Status confirmed => resolved
2012-10-27 10:57 Juha Manninen Resolution open => fixed
2012-10-27 10:57 Juha Manninen Note Added: 0063495
2014-09-29 15:55 Péter Gábor Status resolved => closed